Bug 827189 - [abrt] rapidsvn-0.12.0-4.fc17: Process /usr/bin/rapidsvn was killed by signal 11 (SIGSEGV)
[abrt] rapidsvn-0.12.0-4.fc17: Process /usr/bin/rapidsvn was killed by signal...
Status: CLOSED DUPLICATE of bug 827102
Product: Fedora
Classification: Fedora
Component: rapidsvn (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Jackson
Fedora Extras Quality Assurance
abrt_hash:ca629eb6e7b1a3a7f30693ea252...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 16:41 EDT by Nathan Crubel
Modified: 2012-07-03 15:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 15:17:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.15 KB, text/plain)
2012-05-31 16:41 EDT, Nathan Crubel
no flags Details
File: maps (54.62 KB, text/plain)
2012-05-31 16:41 EDT, Nathan Crubel
no flags Details
File: dso_list (10.55 KB, text/plain)
2012-05-31 16:42 EDT, Nathan Crubel
no flags Details

  None (edit)
Description Nathan Crubel 2012-05-31 16:41:53 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rapidsvn
comment:        Open rapidsvn,  click on SVN bookmark.
crash_function: svn_wc__internal_get_repos_info
executable:     /usr/bin/rapidsvn
kernel:         3.3.7-1.fc17.x86_64
pid:            8744
pwd:            /home/ncrubel
time:           Thu 31 May 2012 01:39:41 PM CDT
uid:            1000
username:       ncrubel
xsession_errors: abrt-applet: repeated problem in rapidsvn-0.12.0-4.fc17, not showing the notification

backtrace:      Text file, 29850 bytes
dso_list:       Text file, 10806 bytes
maps:           Text file, 55932 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ncrubel/1

core_backtrace:
:4f867ac7e65fecfcec1542735c3065122c531d64 0x37703 svn_wc_read_kind libsvn_wc-1.so.0 -
:2b71cbb6a5f8566505c0ab6a1b93810ff737d2a0 0x49386 svn_client_status5 libsvn_client-1.so.0 -
:2b71cbb6a5f8566505c0ab6a1b93810ff737d2a0 0x29010 svn_client_status4 libsvn_client-1.so.0 -
:2b71cbb6a5f8566505c0ab6a1b93810ff737d2a0 0x29085 svn_client_status3 libsvn_client-1.so.0 -
:2b71cbb6a5f8566505c0ab6a1b93810ff737d2a0 0x290e7 svn_client_status2 libsvn_client-1.so.0 -
:326a957533a40aada7b174301a0ad3520f0ff405 0x1411f svn::Client::status(char libsvncpp.so.3 -
:ac7d5543a5d51278315c90503e49d5199c002dc6 0x404f9 - [exe] -
:ac7d5543a5d51278315c90503e49d5199c002dc6 0x63adb - [exe] -
:ac7d5543a5d51278315c90503e49d5199c002dc6 0x666f9 - [exe] -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6796 wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6904 wxEventHashTable::HandleEvent(wxEvent&, libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6c27 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d3519 wxWindowBase::TryParent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d3519 wxWindowBase::TryParent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d3519 wxWindowBase::TryParent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d3519 wxWindowBase::TryParent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6bb0 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2fbec5 wxScrollHelperEvtHandler::ProcessEvent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x30b0e9 wxGenericTreeCtrl::DoSelectItem(wxTreeItemId libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x30b944 wxGenericTreeCtrl::OnMouse(wxMouseEvent&) libwx_gtk2u_core-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6796 wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6904 wxEventHashTable::HandleEvent(wxEvent&, libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6c27 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6bb0 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2fbec5 wxScrollHelperEvtHandler::ProcessEvent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x209c8b - libwx_gtk2u_core-2.8.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14cc3c - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x27f20e - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14aa04 gtk_propagate_event libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14ad6b gtk_main_do_event libgtk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x611cc - libgdk-x11-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x1f81d8 wxEventLoop::Run() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x26a30c wxAppBase::MainLoop() libwx_gtk2u_core-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0x978e5 wxEntry(int&, libwx_baseu-2.8.so.0 -
:ac7d5543a5d51278315c90503e49d5199c002dc6 0x1fe92 - [exe] -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1336
:XDG_SESSION_ID=1
:KDE_MULTIHEAD=false
:HOSTNAME=uslt93531.leinternal.com
:DM_CONTROL=/var/run/xdmctl
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/ncrubel/.gtkrc-2.0:/home/ncrubel/.gtkrc-2.0-kde4:/home/ncrubel/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.77
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/ncrubel/.gtkrc:/home/ncrubel/.kde/share/config/gtkrc
:WINDOWID=67109051
:QTDIR=/usr/lib64/qt-3.3
:SHELL_SESSION_ID=1e8d3295680b400084415fc890e3455c
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=ncrubel
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-nsYgnjyF1297/agent.1297
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1413,unix/unix:/tmp/.ICE-unix/1413
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/ncrubel
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/ncrubel/.local/bin:/home/ncrubel/bin
:PWD=/home/ncrubel
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/6
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/ncrubel
:COLORFGBG=15;0
:XDG_SEAT=seat0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=ncrubel
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-CALeMVVCFj,guid=f47f9798fb1617c6e86628420000002e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=/home/ncrubel
:XDG_RUNTIME_DIR=/run/user/ncrubel
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/ncrubel/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-ncrubel/xauth-1000-_0
:_=/usr/bin/rapidsvn

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62784                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62784                62784                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/6
:pos:	0
:flags:	0100002
:1:/dev/pts/6
:pos:	0
:flags:	0100002
:2:/dev/pts/6
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[333587]
:pos:	0
:flags:	02004002

var_log_messages:
:May 31 13:39:18 uslt93531 kernel: [17222.599993] rapidsvn[8617]: segfault at 0 ip 0000003753433120 sp 00007fef28bff848 error 4 in libsvn_wc-1.so.0.0.0[3753400000+8d000]
:May 31 13:39:18 uslt93531 abrt[8619]: Saved core dump of pid 8611 (/usr/bin/rapidsvn) to /var/spool/abrt/ccpp-2012-05-31-13:39:18-8611 (17285120 bytes)
:May 31 13:39:41 uslt93531 kernel: [17245.305263] rapidsvn[8744]: segfault at 0 ip 0000003753437703 sp 00007fffb555b0e0 error 4 in libsvn_wc-1.so.0.0.0[3753400000+8d000]
:May 31 13:39:41 uslt93531 abrt[8751]: Saved core dump of pid 8744 (/usr/bin/rapidsvn) to /var/spool/abrt/ccpp-2012-05-31-13:39:41-8744 (16154624 bytes)
Comment 1 Nathan Crubel 2012-05-31 16:41:58 EDT
Created attachment 588188 [details]
File: backtrace
Comment 2 Nathan Crubel 2012-05-31 16:41:59 EDT
Created attachment 588189 [details]
File: maps
Comment 3 Nathan Crubel 2012-05-31 16:42:01 EDT
Created attachment 588190 [details]
File: dso_list
Comment 4 Tim Jackson 2012-06-24 08:47:21 EDT
Looks like this is probably a duplicate of bug #827102
Comment 5 Tim Jackson 2012-07-03 15:17:31 EDT
Check the latest update 0.12.1 over in bug #827102, I think that will fix it

*** This bug has been marked as a duplicate of bug 827102 ***

Note You need to log in before you can comment on or make changes to this bug.